# Enum Class CopiedImageSources

java.lang.Object
java.lang.Enum<CopiedImageSources>
com.lightdev.app.shtm.CopiedImageSources

All Implemented Interfaces:
  `Serializable, Comparable<CopiedImageSources>, Constable`

public enum CopiedImageSources extends Enum<CopiedImageSources>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
`ANY_ABSOLUTE_URL`
`ANY_HTTP_URL`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static CopiedImageSources`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CopiedImageSources[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ANY

public static final CopiedImageSources ANY

### ANY_ABSOLUTE_URL

public static final CopiedImageSources ANY_ABSOLUTE_URL

### ANY_HTTP_URL

public static final CopiedImageSources ANY_HTTP_URL

### NONE

public static final CopiedImageSources NONE

## Method Details

### values

public static CopiedImageSources[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CopiedImageSources valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null